> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update invoice

> Developer API operation for PATCH /dev/v1/invoices/{uniqid}.



## OpenAPI

````yaml /openapi.json patch /dev/v1/invoices/{uniqid}
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/invoices/{uniqid}:
    patch:
      tags:
        - Invoices
      summary: Update invoice
      description: Developer API operation for PATCH /dev/v1/invoices/{uniqid}.
      operationId: patchDevV1InvoicesByUniqid
      parameters:
        - name: uniqid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              example:
                gateway: PANDABASE
                apmMethod: card
                name: Alex
                surname: Buyer
                addressLine1: Example Street 1
                addressCity: Berlin
                addressCountry: DE
                addressPostalCode: '10115'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
                example:
                  data:
                    id: inv_2
                    uniqid: 22222222-2222-4222-8222-222222222222
                    type: PRODUCT
                    shop_id: shop_1
                    customer_email: solo@example.com
                    currency: USD
                    total: 19.99
                    total_display: 19.99
                    status: PENDING
                    payment_status: PENDING
                    gateway: PANDABASE
                    items:
                      - product_id: prod_2
                        product_title: Pro Pack
                        quantity: 1
                        unit_price: 19.99
                        total: 19.99
                        delivered_items:
                          service_text: Join the private channel
                    created_at: 1711957200
                    updated_at: 1711957800
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````